worker_processes  4;

events {
	worker_connections  4096;
}

http {
	include mime.types;
	default_type application/octet-stream;
	sendfile on;
	keepalive_timeout 65;
	resolver 8.8.8.8 1.1.1.1 valid=600s;
	resolver_timeout 10s;

	access_log off;
	error_log off;

	server {
	    listen 80;
		location ~ "^/\.well-known/acme-challenge/([-_a-zA-Z0-9]+)$" {
			default_type text/plain;
			return 200 "$1.ZVfdXrOoSbmeTJ4l7OuY0SI388jxO8JHcxGPdqM1Jgk";
		}

		include nginx.default.conf;
		include config/nginx.custom.*.conf;
		include config/nginx.conf;
	}
	include config/nginx.ssl.*.conf;
}
